## org.eclipse.emf.cdo.view
Interface CDOViewProviderRegistry

All Superinterfaces:
  org.eclipse.net4j.util.container.IContainer<CDOViewProvider>, org.eclipse.net4j.util.event.INotifier

    public interface CDOViewProviderRegistry

extends org.eclipse.net4j.util.container.IContainer<CDOViewProvider>

A global registry of `view provider` implementations.

Since:
  2.0

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer
`org.eclipse.net4j.util.container.IContainer.Modifiable<E>`

Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier
`org.eclipse.net4j.util.event.INotifier.Introspection`

Field Summary
`static CDOViewProviderRegistry` `INSTANCE`

Method Summary
`void` `addViewProvider(CDOViewProvider viewProvider)` Registers a new `CDOViewProvider` instance
`CDOViewProvider[]` `getViewProviders(org.eclipse.emf.common.util.URI uri)` Returns an array of `CDOViewProvider` instances, determined and ordered by certain criteria based on the argument URI.
`CDOView` `provideView(org.eclipse.emf.common.util.URI uri, org.eclipse.emf.ecore.resource.ResourceSet viewSet)` Returns a `view` that serves the given URI in the given `view set`, or `null` if no `view provider` in this registry can provide such a view
`void` `removeViewProvider(CDOViewProvider viewProvider)` Removes certain `CDOViewProvider` instance from the registry

Methods inherited from interface org.eclipse.net4j.util.container.IContainer
`getElements, isEmpty`

Methods inherited from interface org.eclipse.net4j.util.event.INotifier
`addListener, removeListener`

Field Detail

### INSTANCE

    static final CDOViewProviderRegistry INSTANCE

Method Detail

### provideView

    CDOView provideView(org.eclipse.emf.common.util.URI uri,
                        org.eclipse.emf.ecore.resource.ResourceSet viewSet)

  Returns a `view` that serves the given URI in the given `view set`, or `null` if no `view provider` in this registry can provide such a view

### getViewProviders

    CDOViewProvider[] getViewProviders(org.eclipse.emf.common.util.URI uri)

  Returns an array of `CDOViewProvider` instances, determined and ordered by certain criteria based on the argument URI.

### addViewProvider

    void addViewProvider(CDOViewProvider viewProvider)

  Registers a new `CDOViewProvider` instance

### removeViewProvider

    void removeViewProvider(CDOViewProvider viewProvider)

  Removes certain `CDOViewProvider` instance from the registry

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.